@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix schema: <http://schema.org/> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix dfgfo: <https://github.com/tibonto/dfgfo/> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix dbo: <http://dbpedia.org/ontology/> .
@prefix rico: <https://www.ica.org/standards/RiC/ontology#> .
@prefix aps: <https://w3id.org/nfdi4ing/profiles/> .

aps:892e3573-2fe2-4275-93b7-9770db3cb6b7 # generalize to "component"? for use with systems / platforms that are not hardware
    a sh:NodeShape ;
    dcterms:subject dfgfo:4 ;
    dcterms:title "hardware"@en ; 
    dcterms:description "General term for a physical, material thing."@en ;
    dcterms:title "Hardware"@de ; 
    dcterms:description "Allgemeiner Begriff für eine physische, materielle Sache."@en ;
    dcterms:creator <https://orcid.org/0000-0002-6793-8533> ;
    dcterms:license <https://spdx.org/licenses/CC-BY-4.0.html> ;
    dcterms:created "2022-04-07"^^xsd:date ;
    sh:property [
        sh:name "serialNumber"@en ;
        sh:description "Serial number or identification number of the hardware."@en ;
        sh:path schema:serialNumber ;
        sh:minCount 1 ;
        sh:maxCount 1 ;
        sh:datatype xsd:string ; # just a string for now, maybe a more rich class definition later on
    ] ;
    sh:property [
        sh:name "owner"@en ;
        sh:description "Person or organization that owns the hardware."@en ;
        sh:path dbo:owner ; # should probably be constrained higher up in class hierarchy, at least tool or higher
        sh:minCount 1 ;
        sh:datatype xsd:string ; # just a string for now, change to AgentShape which is imported by Organization / Person etc.
    ] ;
    sh:property [
        sh:name "manufacturer"@en ;
        sh:description "Person or organization that manufactured the hardware."@en ;
        sh:path schema:manufacturer ;
        sh:minCount 1 ;
        sh:datatype xsd:string ; # just a string for now, change to AgentShape which is imported by Organization / Person etc. 
    ] ;
    sh:property [
        sh:name "productionDate"@en ;
        sh:description "Timestamp of when the hardware was manufactured."@en ;
        sh:path schema:productionDate ;
        sh:maxCount 1 ;
        sh:datatype xsd:string ; # just a string for now, maybe a more rich class definition later on
    ] ;
    sh:property [
        sh:name "lastModificationDate"@en ;
        sh:description "Timestamp of last modifiction or maintenance of the hardware."@en ;
        sh:path rico:lastModificationDate ;
        sh:maxCount 1 ;
        sh:datatype xsd:string ; # just a string for now, maybe a more rich class definition later on
    ] ;
    sh:property [
        sh:name "versionNumber"@en ;
        sh:description "Version number of the hardware, if it was modified."@en ;
        sh:path schema:version ;
        sh:maxCount 1 ;
        sh:datatype xsd:string ; # just a string for now, maybe a more rich class definition later on
    ] .